import React from 'react';
import './index.scss';
import { ProTableColumnProps, ProTableActionType } from '../../typing';
declare type ProTableFilterProps = {
    column: ProTableColumnProps;
    actionRef: React.MutableRefObject<ProTableActionType | undefined>;
    switchCardView?: 'table' | 'card';
};
declare const Filter: React.FC<ProTableFilterProps>;
export default Filter;
